Subject: Re: linux-next: failing to fetch the sysctl tree

From: [email-masked] (Eric W. Biederman)
Date: Mon, 07 Nov 2011 16:52:17 -0800

Stephen Rothwell <[email-masked]> writes:

> Hi Eric,
>
> On Sun, 06 Nov 2011 15:41:50 -0800 [email-masked] (Eric W. Biederman) wrote:
>>
>> Something weird happened when I re-uploaded things.  Apparently hitting
>> Ctrl-C if when you are uploading and realized you forgot to clone from
>> Linus's repository is fatal to how git.kernel.org manages things.  Last
>> I checked I could not even delete the broken repository.
>> 
>> Can you please switch to linux/kernel/git/ebiederm/sysctl.git instead of
>> sysctl-2.6.git.
>
> Done.
>
> BTW to remove the other tree do this:
>
> ssh [email-masked] unlock pub/scm/linux/kernel/git/ebiederm/sysctl-2.6
> ssh [email-masked] rm pub/scm/linux/kernel/git/ebiederm/sysctl-2.6

Thanks.  unlock was apparently the gitolite magic command I did not know about.

Eric